Skip to main content
PUT
Update Production Line

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Org-Id
string | null

Path Parameters

production_line_id
string
required

Body

application/json
name
string | null
description
string | null
workerCount
integer | null
Required range: x >= 0
costPerMinuteVnd
Required range: x >= 0
capacityPerDay
integer | null
Required range: x >= 0
shiftType
enum<string> | null
Available options:
regular,
overtime,
weekend
isActive
boolean | null

Response

Successful Response

id
string
required
name
string
required
workerCount
integer
required
costPerMinuteVnd
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
capacityPerDay
integer
required
shiftType
enum<string>
required
Available options:
regular,
overtime,
weekend
isActive
boolean
required
effectiveCostPerMinute
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
description
string | null